.TH curs_deleteln 3 ""
.SH NAME
\fBdeleteln\fR, \fBwdeleteln\fR, \fBinsdelln\fR,
\fBwinsdelln\fR, \fBinsertln\fR, 
\fBwinsertln\fR - delete and insert lines in a \fBncurses\fR window
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBint deleteln(void);\fR
.br
\fBint wdeleteln(WINDOW *win);\fR
.br
\fBint insdelln(int n);\fR
.br
\fBint winsdelln(WINDOW *win, int n);\fR
.br
\fBint insertln(void);\fR
.br
\fBint winsertln(WINDOW *win);\fR
.br
.SH DESCRIPTION
The \fBdeleteln\fR and \fBwdeleteln\fR routines delete the line under the
cursor in the window; all lines below the current line are moved up one line.
The bottom line of the window is cleared.  The cursor position does not change.

The \fBinsdelln\fR and \fBwinsdelln\fR routines, for positive \fIn\fR, insert
\fIn\fR lines into the specified window above the current line.  The \fIn\fR
bottom lines are lost.  For negative \fIn\fR, delete \fIn\fR lines (starting
with the one under the cursor), and move the remaining lines up.  The bottom
\fIn\fR lines are cleared.  The current cursor position remains the same.

The \fBinsertln\fR and \fBinsertln\fR routines, insert a blank line above the
current line and the bottom line is lost.
.SH RETURN VALUE
All routines return the integer \fBERR\fR upon failure and an integer
value other than \fBERR\fR upon successful completion.
.SH NOTES
Note that all but \fBwinsdelln\fR may be a macros.

These routines do not require a hardware line delete or insert feature in the
terminal.  In fact, they won't use hardware line delete/insert unless
\fBidlok(..., TRUE)\fR has been set on the current window.
.SH SEE ALSO
\fBncurses\fR(3)
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
